SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - d -

- d : SUPlane3D
- days_remaining : SUExtensionLicense
- definition : SUEntitiesParent
- depth : SUOverlayDrawFrameInfo
- desc : SUOverlayCreateInfo
- draw_frame : SUOverlayCreateInfo
- SUDimensionFromDrawingElement() : SUDimensionRef
- SUDimensionFromEntity() : SUDimensionRef
- SUDimensionGetArrowType() : SUDimensionRef
- SUDimensionGetFont() : SUDimensionRef
- SUDimensionGetPlane() : SUDimensionRef
- SUDimensionGetText() : SUDimensionRef
- SUDimensionGetText3D() : SUDimensionRef
- SUDimensionGetType() : SUDimensionRef
- SUDimensionLinearCreate() : SUDimensionLinearRef
- SUDimensionLinearFromDimension() : SUDimensionLinearRef
- SUDimensionLinearGetAlignment() : SUDimensionLinearRef
- SUDimensionLinearGetEndPoint() : SUDimensionLinearRef
- SUDimensionLinearGetHorizontalAlignment() : SUDimensionLinearRef
- SUDimensionLinearGetNormal() : SUDimensionLinearRef
- SUDimensionLinearGetPosition() : SUDimensionLinearRef
- SUDimensionLinearGetStartPoint() : SUDimensionLinearRef
- SUDimensionLinearGetTextPosition() : SUDimensionLinearRef
- SUDimensionLinearGetVerticalAlignment() : SUDimensionLinearRef
- SUDimensionLinearGetXAxis() : SUDimensionLinearRef
- SUDimensionLinearRelease() : SUDimensionLinearRef
- SUDimensionLinearSetEndPoint() : SUDimensionLinearRef
- SUDimensionLinearSetHorizontalAlignment() : SUDimensionLinearRef
- SUDimensionLinearSetNormal() : SUDimensionLinearRef
- SUDimensionLinearSetPosition() : SUDimensionLinearRef
- SUDimensionLinearSetStartPoint() : SUDimensionLinearRef
- SUDimensionLinearSetVerticalAlignment() : SUDimensionLinearRef
- SUDimensionLinearSetXAxis() : SUDimensionLinearRef
- SUDimensionLinearToDimension() : SUDimensionLinearRef
- SUDimensionRadialCreate() : SUDimensionRadialRef
- SUDimensionRadialFromDimension() : SUDimensionRadialRef
- SUDimensionRadialGetCurveInstancePath() : SUDimensionRadialRef
- SUDimensionRadialGetDiameter() : SUDimensionRadialRef
- SUDimensionRadialGetLeaderBreakPoint() : SUDimensionRadialRef
- SUDimensionRadialGetLeaderPoints() : SUDimensionRadialRef
- SUDimensionRadialRelease() : SUDimensionRadialRef
- SUDimensionRadialSetCurveInstancePath() : SUDimensionRadialRef
- SUDimensionRadialSetDiameter() : SUDimensionRadialRef
- SUDimensionRadialSetLeaderBreakPoint() : SUDimensionRadialRef
- SUDimensionRadialToDimension() : SUDimensionRadialRef
- SUDimensionSetArrowType() : SUDimensionRef
- SUDimensionSetFont() : SUDimensionRef
- SUDimensionSetText() : SUDimensionRef
- SUDimensionSetText3D() : SUDimensionRef
- SUDimensionStyleGet3D() : SUDimensionStyleRef
- SUDimensionStyleGetArrowSize() : SUDimensionStyleRef
- SUDimensionStyleGetArrowType() : SUDimensionStyleRef
- SUDimensionStyleGetColor() : SUDimensionStyleRef
- SUDimensionStyleGetExtensionLineOffset() : SUDimensionStyleRef
- SUDimensionStyleGetExtensionLineOvershoot() : SUDimensionStyleRef
- SUDimensionStyleGetFont() : SUDimensionStyleRef
- SUDimensionStyleGetHideOutOfPlane() : SUDimensionStyleRef
- SUDimensionStyleGetHideOutOfPlaneValue() : SUDimensionStyleRef
- SUDimensionStyleGetHideSmall() : SUDimensionStyleRef
- SUDimensionStyleGetHideSmallValue() : SUDimensionStyleRef
- SUDimensionStyleGetHighlightNonAssociativeDimensions() : SUDimensionStyleRef
- SUDimensionStyleGetHighlightNonAssociativeDimensionsColor() : SUDimensionStyleRef
- SUDimensionStyleGetLineWeight() : SUDimensionStyleRef
- SUDimensionStyleGetShowRadialPrefix() : SUDimensionStyleRef
- SUDimensionStyleGetTextColor() : SUDimensionStyleRef
- SUDimensionToDrawingElement() : SUDimensionRef
- SUDimensionToEntity() : SUDimensionRef
- SUDrawingElementFromEntity() : SUDrawingElementRef
- SUDrawingElementGetBoundingBox() : SUDrawingElementRef
- SUDrawingElementGetCastsShadows() : SUDrawingElementRef
- SUDrawingElementGetHidden() : SUDrawingElementRef
- SUDrawingElementGetLayer() : SUDrawingElementRef
- SUDrawingElementGetMaterial() : SUDrawingElementRef
- SUDrawingElementGetReceivesShadows() : SUDrawingElementRef
- SUDrawingElementGetType() : SUDrawingElementRef
- SUDrawingElementSetCastsShadows() : SUDrawingElementRef
- SUDrawingElementSetHidden() : SUDrawingElementRef
- SUDrawingElementSetLayer() : SUDrawingElementRef
- SUDrawingElementSetMaterial() : SUDrawingElementRef
- SUDrawingElementSetReceivesShadows() : SUDrawingElementRef
- SUDrawingElementToEntity() : SUDrawingElementRef
- SUDynamicComponentAttributeGetDisplayName() : SUDynamicComponentAttributeRef
- SUDynamicComponentAttributeGetDisplayValue() : SUDynamicComponentAttributeRef
- SUDynamicComponentAttributeGetName() : SUDynamicComponentAttributeRef
- SUDynamicComponentAttributeGetVisibility() : SUDynamicComponentAttributeRef
- SUDynamicComponentInfoGetDCAttributes() : SUDynamicComponentInfoRef
- SUDynamicComponentInfoGetNumDCAttributes() : SUDynamicComponentInfoRef
- SUDynamicComponentInfoRelease() : SUDynamicComponentInfoRef